### Hierarchy

- Visitor

### Implements

- ICompiler

## Index

### Methods

- BlockStatement
- BooleanLiteral
- CommentStatement
- ContentStatement
- Decorator
- DecoratorBlock
- Hash
- MustacheStatement
- NullLiteral
- NumberLiteral
- PartialBlockStatement
- PartialStatement
- PathExpression
- Program
- StringLiteral
- SubExpression
- UndefinedLiteral
- accept
- acceptArray
- acceptKey

## Methods

### BlockStatement

- BlockStatement(block: BlockStatement): void

- Implementation of ICompiler.BlockStatement

  - Defined in node_modules/@types/handlebars/index.d.ts:125

  #### Parameters

  - ##### block: BlockStatement

  #### Returns void

### BooleanLiteral

- BooleanLiteral(bool: BooleanLiteral): void

- Implementation of ICompiler.BooleanLiteral

  - Defined in node_modules/@types/handlebars/index.d.ts:137

  #### Parameters

  - ##### bool: BooleanLiteral

  #### Returns void

### CommentStatement

- CommentStatement(comment?: CommentStatement): void

- Implementation of ICompiler.CommentStatement

  - Defined in node_modules/@types/handlebars/index.d.ts:132

  #### Parameters

  - ##### Optional comment: CommentStatement

  #### Returns void

### ContentStatement

- ContentStatement(content: ContentStatement): void

- Implementation of ICompiler.ContentStatement

  - Defined in node_modules/@types/handlebars/index.d.ts:131

  #### Parameters

  - ##### content: ContentStatement

  #### Returns void

### Decorator

- Decorator(decorator: Decorator): void

- Implementation of ICompiler.Decorator

  - Defined in node_modules/@types/handlebars/index.d.ts:129

  #### Parameters

  - ##### decorator: Decorator

  #### Returns void

### DecoratorBlock

- DecoratorBlock(decorator: DecoratorBlock): void

- Implementation of ICompiler.DecoratorBlock

  - Defined in node_modules/@types/handlebars/index.d.ts:128

  #### Parameters

  - ##### decorator: DecoratorBlock

  #### Returns void

### Hash

- Hash(hash: Hash): void

- Implementation of ICompiler.Hash

  - Defined in node_modules/@types/handlebars/index.d.ts:140

  #### Parameters

  - ##### hash: Hash

  #### Returns void

### MustacheStatement

- MustacheStatement(mustache: MustacheStatement): void

- Implementation of ICompiler.MustacheStatement

  - Defined in node_modules/@types/handlebars/index.d.ts:130

  #### Parameters

  - ##### mustache: MustacheStatement

  #### Returns void

### NullLiteral

- NullLiteral(): void

- Implementation of ICompiler.NullLiteral

  - Defined in node_modules/@types/handlebars/index.d.ts:139

  #### Returns void

### NumberLiteral

- NumberLiteral(num: NumberLiteral): void

- Implementation of ICompiler.NumberLiteral

  - Defined in node_modules/@types/handlebars/index.d.ts:136

  #### Parameters

  - ##### num: NumberLiteral

  #### Returns void

### PartialBlockStatement

- PartialBlockStatement(partial: PartialBlockStatement): void

- Implementation of ICompiler.PartialBlockStatement

  - Defined in node_modules/@types/handlebars/index.d.ts:127

  #### Parameters

  - ##### partial: PartialBlockStatement

  #### Returns void

### PartialStatement

- PartialStatement(partial: PartialStatement): void

- Implementation of ICompiler.PartialStatement

  - Defined in node_modules/@types/handlebars/index.d.ts:126

  #### Parameters

  - ##### partial: PartialStatement

  #### Returns void

### PathExpression

- PathExpression(path: PathExpression): void

- Implementation of ICompiler.PathExpression

  - Defined in node_modules/@types/handlebars/index.d.ts:134

  #### Parameters

  - ##### path: PathExpression

  #### Returns void

### Program

- Program(program: Program): void

- Implementation of ICompiler.Program

  - Defined in node_modules/@types/handlebars/index.d.ts:124

  #### Parameters

  - ##### program: Program

  #### Returns void

### StringLiteral

- StringLiteral(str: StringLiteral): void

- Implementation of ICompiler.StringLiteral

  - Defined in node_modules/@types/handlebars/index.d.ts:135

  #### Parameters

  - ##### str: StringLiteral

  #### Returns void

### SubExpression

- SubExpression(sexpr: SubExpression): void

- Implementation of ICompiler.SubExpression

  - Defined in node_modules/@types/handlebars/index.d.ts:133

  #### Parameters

  - ##### sexpr: SubExpression

  #### Returns void

### UndefinedLiteral

- UndefinedLiteral(): void

- Implementation of ICompiler.UndefinedLiteral

  - Defined in node_modules/@types/handlebars/index.d.ts:138

  #### Returns void

### accept

- accept(node: Node): void

- Implementation of ICompiler.accept

  - Defined in node_modules/@types/handlebars/index.d.ts:121

  #### Parameters

  - ##### node: Node

  #### Returns void

### acceptArray

- acceptArray(arr: Expression[]): void

- - Defined in node_modules/@types/handlebars/index.d.ts:123

  #### Parameters

  - ##### arr: Expression[]

  #### Returns void

### acceptKey

- acceptKey(node: Node, name: string): void

- - Defined in node_modules/@types/handlebars/index.d.ts:122

  #### Parameters

  - ##### node: Node

  - ##### name: string

  #### Returns void

Generated using TypeDoc